<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>INbaDocumentMetaData</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="INbaDocumentMetaData";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INbaDocumentMetaData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api</a></div>
<h2 title="Interface INbaDocumentMetaData" class="title">Interface INbaDocumentMetaData&lt;DOCUMENT_OBJECT extends <a href="model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>DOCUMENT_OBJECT</code> - The class representing the Elasticsearch document about which you
            get through an implementation of this interface.</dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">INbaDocumentMetaData&lt;DOCUMENT_OBJECT extends <a href="model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>&gt;</span></pre>
<div class="block">Specifies methods for retrieving metadata about an Elasticsearch document
 type and the index containing it.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>,&#8203;<a href="model/metadata/FieldInfo.html" title="class in nl.naturalis.nba.api.model.metadata">FieldInfo</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFieldInfo(java.lang.String...)">getFieldInfo</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>...&nbsp;fields)</code></th>
<td class="colLast">
<div class="block">Returns metadata about specified fields.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPaths(boolean)">getPaths</a></span>&#8203;(boolean&nbsp;sorted)</code></th>
<td class="colLast">
<div class="block">
 Returns all fields within a document.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)">getSetting</a></span>&#8203;(<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>&nbsp;setting)</code></th>
<td class="colLast">
<div class="block">Returns the value of a configuration setting related to the Elasticsearch
 document type or the index containing it.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSettings()">getSettings</a></span>()</code></th>
<td class="colLast">
<div class="block">
 Returns all configuration settings for the Elasticsearch document type
 and the index containing it.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isOperatorAllowed(java.lang.String,nl.naturalis.nba.api.ComparisonOperator)">isOperatorAllowed</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                 <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator)</code></th>
<td class="colLast">
<div class="block">
 Verifies that the specified operator can be used in a query condition for
 the specified field.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSetting</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;getSetting&#8203;(<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>&nbsp;setting)</pre>
<div class="block">Returns the value of a configuration setting related to the Elasticsearch
 document type or the index containing it. Note that document-independent
 settings are retrieved using <a href="INbaMetaData.html#getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)"><code>INbaMetaData.getSetting(NbaSetting)</code></a>
 or <a href="INbaMetaData.html#getSettings()"><code>INbaMetaData.getSettings()</code></a>.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the
 following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/&lt;document-type&gt;/metadata/getSetting/{name}
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getSettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSettings</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&gt;&nbsp;getSettings()</pre>
<div class="block"><p>
 Returns all configuration settings for the Elasticsearch document type
 and the index containing it. Note that document-independent settings are
 retrieved using <a href="INbaMetaData.html#getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)"><code>INbaMetaData.getSetting(NbaSetting)</code></a> or
 <a href="INbaMetaData.html#getSettings()"><code>INbaMetaData.getSettings()</code></a>.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the
 following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/&lt;document-type&gt;/metadata/getSettings
 </code>
 </p>
 <p>
 Examples:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/multimedia/metadata/getSettings<br>
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getPaths(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPaths</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]&nbsp;getPaths&#8203;(boolean&nbsp;sorted)</pre>
<div class="block"><p>
 Returns all fields within a document. The fields are displayed using
 their full path. For example: "gatheringEvent.gatheringPersons.fullName".
 Note that only indexed (queryable) fields are returned.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the
 following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/&lt;document-type&gt;/metadata/getPaths
 </code>
 </p>
 <p>
 Examples:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/multimedia/metadata/getPaths<br>
 https://api.biodiversitydata.nl/v2/taxon/metadata/getPaths/?sorted=true
 </code>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sorted</code> - If <code>true</code> paths are displayed in alphabetical order.
            Otherwise they appear in the same order as in the document.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getFieldInfo(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldInfo</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>,&#8203;<a href="model/metadata/FieldInfo.html" title="class in nl.naturalis.nba.api.model.metadata">FieldInfo</a>&gt;&nbsp;getFieldInfo&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>...&nbsp;fields)
                                  throws <a href="NoSuchFieldException.html" title="class in nl.naturalis.nba.api">NoSuchFieldException</a></pre>
<div class="block">Returns metadata about specified fields. Each key in the returned map is
 one of the specified fields and its value a <a href="model/metadata/FieldInfo.html" title="class in nl.naturalis.nba.api.model.metadata"><code>FieldInfo</code></a> instance
 containing metadata about the field. If you speciy null or a zero-length
 array for the <code>fields</code> argument, all fields are returned.
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the
 following end point:
 </p>
 <p>
 
 <pre>
 https://api.biodiversitydata.nl/v2/&lt;document-type&gt;/metadata/getFieldInfo
 https://api.biodiversitydata.nl/v2/&lt;document-type&gt;/metadata/getFieldInfo/?fields=field0,field1,field2
 </pre>
 </p>
 <p>
 Examples:
 </p>
 <p>
 
 <pre>
 https://api.biodiversitydata.nl/v2/taxon/metadata/getFieldInfo
 https://api.biodiversitydata.nl/v2/specimen/metadata/getFieldInfo/?fields=unitID,gatheringEvent.dateTimeBegin
 </pre>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fields</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="NoSuchFieldException.html" title="class in nl.naturalis.nba.api">NoSuchFieldException</a></code></dd>
</dl>
</li>
</ul>
<a id="isOperatorAllowed(java.lang.String,nl.naturalis.nba.api.ComparisonOperator)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isOperatorAllowed</h4>
<pre class="methodSignature">boolean&nbsp;isOperatorAllowed&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                          <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator)</pre>
<div class="block"><p>
 Verifies that the specified operator can be used in a query condition for
 the specified field.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the
 following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/&lt;document-type&gt;/isOperatorAllowed/{field}/{operator}
 </code>
 </p>
 <p>
 For example:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/specimen/isOperatorAllowed/unitID/BETWEEN
 </code>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INbaDocumentMetaData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
